Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516641 - [abrt] mate-panel: settings_backend_path_changed(): mate-panel killed by SIGSEGV
Summary: [abrt] mate-panel: settings_backend_path_changed(): mate-panel killed by SIGSEGV
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-panel
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:526fede997b93f889e7007ee889...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-23 07:40 UTC by Cameron
Modified: 2017-11-29 08:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-29 08:55:17 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-23 07:40 UTC, Cameron
no flags Details
File: cgroup (deleted)
2017-11-23 07:40 UTC, Cameron
no flags Details
File: core_backtrace (deleted)
2017-11-23 07:40 UTC, Cameron
no flags Details
File: cpuinfo (deleted)
2017-11-23 07:40 UTC, Cameron
no flags Details
File: dso_list (deleted)
2017-11-23 07:40 UTC, Cameron
no flags Details
File: environ (deleted)
2017-11-23 07:40 UTC, Cameron
no flags Details
File: exploitable (deleted)
2017-11-23 07:40 UTC, Cameron
no flags Details
File: limits (deleted)
2017-11-23 07:40 UTC, Cameron
no flags Details
File: maps (deleted)
2017-11-23 07:40 UTC, Cameron
no flags Details
File: mountinfo (deleted)
2017-11-23 07:40 UTC, Cameron
no flags Details
File: open_fds (deleted)
2017-11-23 07:40 UTC, Cameron
no flags Details
File: proc_pid_status (deleted)
2017-11-23 07:40 UTC, Cameron
no flags Details

Description Cameron 2017-11-23 07:40:27 UTC
Description of problem:
Fresh install, just logged in.

Version-Release number of selected component:
mate-panel-1.19.3-2.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        mate-panel
crash_function: settings_backend_path_changed
executable:     /usr/bin/mate-panel
journald_cursor: s=84a84118825c4a67bc378a62e665b8c2;i=6e6;b=e754440ca96d407ba1bb7379cfcb0be8;m=155e315;t=55ea1737f816b;x=a2a0bc6f6aeca08c
kernel:         4.13.13-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 settings_backend_path_changed at gsettings.c:460
 #1 g_settings_backend_invoke_closure at gsettingsbackend.c:267
 #7 gtk_main at gtkmain.c:1322

Comment 1 Cameron 2017-11-23 07:40:32 UTC
Created attachment 1358055 [details]
File: backtrace

Comment 2 Cameron 2017-11-23 07:40:32 UTC
Created attachment 1358056 [details]
File: cgroup

Comment 3 Cameron 2017-11-23 07:40:33 UTC
Created attachment 1358057 [details]
File: core_backtrace

Comment 4 Cameron 2017-11-23 07:40:34 UTC
Created attachment 1358058 [details]
File: cpuinfo

Comment 5 Cameron 2017-11-23 07:40:35 UTC
Created attachment 1358059 [details]
File: dso_list

Comment 6 Cameron 2017-11-23 07:40:36 UTC
Created attachment 1358060 [details]
File: environ

Comment 7 Cameron 2017-11-23 07:40:37 UTC
Created attachment 1358061 [details]
File: exploitable

Comment 8 Cameron 2017-11-23 07:40:38 UTC
Created attachment 1358062 [details]
File: limits

Comment 9 Cameron 2017-11-23 07:40:39 UTC
Created attachment 1358063 [details]
File: maps

Comment 10 Cameron 2017-11-23 07:40:40 UTC
Created attachment 1358064 [details]
File: mountinfo

Comment 11 Cameron 2017-11-23 07:40:41 UTC
Created attachment 1358065 [details]
File: open_fds

Comment 12 Cameron 2017-11-23 07:40:42 UTC
Created attachment 1358066 [details]
File: proc_pid_status

Comment 13 Wolfgang Ulbrich 2017-11-25 10:13:17 UTC
Can you reproduce it again?

Comment 14 Cameron 2017-11-28 16:54:23 UTC
(In reply to Wolfgang Ulbrich from comment #13)
> Can you reproduce it again?

I haven't been able to - I tried to create new users and each time the first log-in was successful - no crash.  It seems like this is related to a fresh install and the first boot up but this is a physical machine so I don't want to re-install at this point.  I will try on a VM and let you know, but it might be a while before I have time to do so.  

Next time do you want the core?  I didn't select it thinking it could be a large file and the call-stack appeared to be sent so I wasn't sure how useful it would be.

Comment 15 Cameron 2017-11-28 21:39:45 UTC
Actually, I did have time today to install it again - this time on a VM - and no crash after first log-in.  It's possible it has to do with the packages I selected on install but I didn't keep careful track of what exactly I selected.  If you cannot fix it based on the supplied crash report then go ahead and close it as un-reproducible.  Thanks.

Comment 16 Wolfgang Ulbrich 2017-11-29 08:55:17 UTC
Thank you.
We can't fix something which isn't reproducible, so closing.


Note You need to log in before you can comment on or make changes to this bug.